<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('account_bills', function (Blueprint $table) {
            $table->string('payment_method', 20)->nullable()->after('category')->comment('支付方式：微信、支付宝、银行卡、现金、其他');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('account_bills', function (Blueprint $table) {
            $table->dropColumn('payment_method');
        });
    }
};
